Get export declaration status
curl --request GET \
--url https://devapi.eazecustoms.com/staging/v1/declarations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devapi.eazecustoms.com/staging/v1/declarations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devapi.eazecustoms.com/staging/v1/declarations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"declarationId": 43,
"shipmentId": 16,
"referenceNumber": "EXP-2026-00042",
"status": "ready",
"lrn": "NL202600002",
"mrn": "26NL90831023812039",
"type": "EXPORT",
"exporter": {
"name": "EZC B.V.",
"eoriNo": "NL100006139B01"
},
"consignee": {
"name": "US Retail Inc."
},
"items": [
{
"id": 8,
"description": "Industrial water pump components",
"hsCode": "8413810090",
"quantity": 10,
"grossMass": 480,
"netMass": 450,
"value": 9500,
"currency": "EUR",
"originCountry": "NL"
}
],
"errors": []
}
{
"statusCode": 404,
"message": "Declaration not found or not accessible.",
"error": "Not Found"
}
Export Declarations
Get export declaration status
Poll the current status of an export declaration.
GET
/
v1
/
declarations
/
{id}
Get export declaration status
Poll the status and details of an export declaration.
Path Parameters
number
required
The unique declaration ID.
{
"declarationId": 43,
"shipmentId": 16,
"referenceNumber": "EXP-2026-00042",
"status": "ready",
"lrn": "NL202600002",
"mrn": "26NL90831023812039",
"type": "EXPORT",
"exporter": {
"name": "EZC B.V.",
"eoriNo": "NL100006139B01"
},
"consignee": {
"name": "US Retail Inc."
},
"items": [
{
"id": 8,
"description": "Industrial water pump components",
"hsCode": "8413810090",
"quantity": 10,
"grossMass": 480,
"netMass": 450,
"value": 9500,
"currency": "EUR",
"originCountry": "NL"
}
],
"errors": []
}
{
"statusCode": 404,
"message": "Declaration not found or not accessible.",
"error": "Not Found"
}
⌘I